%define name	guile
%define major_version 1.6
%define version	1.6.4
%define release	3mdk
%define lib_major 12
%define lib_name %mklibname %{name} %{lib_major}

Summary:	A GNU implementation of Scheme for application extensibility
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	ftp://ftp.gnu.org/pub/gnu/guile-%{version}.tar.bz2
Patch1:		guile-1.6.0-64bit-fixes.patch.bz2
Patch2:		guile-1.6.4-amd64.patch.bz2

License:	GPL
Group:		Development/Other
URL:		http://www.gnu.org/software/guile/guile.html
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
PreReq:		umb-scheme >= 3.2-17mdk
PreReq:		%{lib_name} = %{version}
BuildRequires:	ncurses-devel, readline-devel

# for "make check" srfi-19.test
BuildRequires:	timezone

%package -n %{lib_name}
Summary:	Libraries for Guile %{version}
Group:		System/Libraries
PreReq:		/sbin/ldconfig

%package -n %{lib_name}-devel
Summary:	Development headers and static library for libguile
Group:		Development/C
Requires:	guile = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Provides:	libguile-devel = %{version}-%{release}
Provides:	guile-devel = %{version}-%{release}
Obsoletes:	guile-devel
PreReq:		/sbin/install-info
Requires:	libtool-devel

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a
library implementation of the Scheme programming language, written in
C.  GUILE provides a machine-independent execution platform that can
be linked in as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to
programs that you are developing.  You'll also need to install the
guile-devel package.

%description -n %{lib_name}
This package contains Guile shared object libraries and the ice-9
scheme module. Guile is the GNU Ubiquitous Intelligent Language for
Extension.

%description -n %{lib_name}-devel
This package contains the development headers and the static library
for libguile. C headers, aclocal macros, the `guile1.4-snarf' and
`guile-config' utilities, and static `libguile' library for Guile, the
GNU Ubiquitous Intelligent Language for Extension

%prep
%setup -q
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .amd64

%build
%ifarch ppc
CFLAGS="%optflags -O2"
%endif
%configure2_5x --enable-dynamic-linking --with-threads
%make LIBTOOL=libtool

%ifarch ia64
# FAIL: r4rs.test: (6 9): (#<procedure leaf-eq? (x y)> (a (b (c))) ((a) b c))
make check -k || :
%else
# all tests must pass
make check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_datadir}/guile/site
ln -s ../../share/umb-scheme/slib $RPM_BUILD_ROOT%{_datadir}/guile/slib

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
%_install_info guile-tut.info
%_install_info guile.info
%_install_info r5rs.info
%_install_info goops.info

%preun
%_remove_install_info guile-tut.info
%_remove_install_info guile.info
%_remove_install_info r5rs.info
%_remove_install_info goops.info

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README
%doc SNAPSHOTS ANON-CVS THANKS
%{_bindir}/guile
%{_bindir}/guile-tools
%{_datadir}/guile/site
%{_datadir}/guile/slib
%{_infodir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc README AUTHORS COPYING libguile/ChangeLog*
%{_libdir}/lib*.so.*
%dir %{_datadir}/guile
%{_datadir}/guile/%{major_version}

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/guile-config
%{_bindir}/guile-snarf
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_includedir}/*

%changelog
* Thu Aug 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.4-3mdk
- Patch2: Add AMD64 support from boehm-gc

* Thu Aug 14 2003 Pixel <pixel@mandrakesoft.com> 1.6.4-2mdk
- distlint DIRM fix: /usr/share/guile is now owned by libguileXX

* Thu Aug  7 2003 Pixel <pixel@mandrakesoft.com> 1.6.4-1mdk
- new release
- use %%mklibname
- fix calls to %%_install_info

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.6.0-5mdk
- Rebuild for latest provides

* Sun Jun  8 2003 Stefan van der Eijk <stefan@eijk.nu> - 1.6.0-4mdk
- BuildRequires

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.6.0-3mdk
- Rebuild to get new deps

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.6.0-2mdk
- Fix devel dependency

* Tue Dec  3 2002 Pixel <pixel@mandrakesoft.com> 1.6.0-1mdk
- new release
- cleanup (eg: do include guile-procedures.txt, why was it excluded??)

* Tue Dec  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- Use system libtool

* Tue Dec  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-1mdk
- Version 1.4.1 for 9.0-branch, make it lib64 aware, parallel build works
- Default to make check in %%build, all tests must pass
- Patch0: Don't use obsolete filename_completion_function() from readline
- Patch1: Various fixes for 64-bit architectures
- Patch2: Add support for IA-64 backing store (CVS)

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-15mdk
- Disable parallel compilation, it is broken
- Recompiled with latest readline

* Wed Aug  8 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-14mdk
- Move ice-9 files to libguile9 (gc)

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-13mdk
- Libification

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4-12mdk
- added version number to umb-scheme requirement

* Wed May 30 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4-11mdk
- slib link now points to datadir not libdir (see modifications in umb-scheme)

* Tue Mar 26 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-10mdk
- PPC: Add -O2 to CFLAGS to prevent some strange crashes

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-9mdk
- PPC: use default flags
- Use macros
- Use %%_tmppath for BuildRoot
- Bzip2 patch

* Mon Jan 29 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-8mdk
- specific CFLAGS for PowerPC

* Wed Nov 15 2000 Egil Moeller <redhog@mandrakesoft.com> 1.4-7mdk
- Bugworkaround around the flawed Makefile.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-6mdk
- ooops wrong info file name.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-5mdk
- finalized BM (Thanks Stefan).

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-4mdk
- removed menu entry.
- added a depency for guile-devel on guile with the same release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- add provides libguile.so.6

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.4-3mdk
- fix group

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- provides libguile.so.[15].

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.3.4

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added macro %%{guilever} as apckage version is 1.3.2a but
  for paths, etc. it remains 1.2.3
- corrected %files section (some libs weren't included)

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- -1.3.2a

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
